import unittest

from tse_serial.tse_serial_interpreter import *


class TestStringMethods(unittest.TestCase):

    def test_response_parser(self):
        self.assertEquals(resp_to_relay_state("T5A_ON"), RelayState(relay_id=5, state=True))
        self.assertEquals(resp_to_relay_state("T3B_OFF"), RelayState(relay_id=11, state=False))
        self.assertEquals(resp_to_relay_state("re_2A=OFF"), RelayState(relay_id=2, state=False))
        self.assertEquals(resp_to_relay_state("re_1B=OFF"), RelayState(relay_id=9, state=False))
    
    def test_command_parser(self):
        self.assertEquals(relay_state_to_cmd(RelayState(3, False)), "r39")
        self.assertEquals(relay_state_to_cmd(RelayState(5, True)), "r58")
        self.assertEquals(relay_state_to_cmd(RelayState(9, True)), "r16")
        self.assertEquals(relay_state_to_cmd(RelayState(11, False)), "r37")